// ProgressListDlg.h : header file
//

#pragma once
#include "afxcmn.h"
#include "ListCtrlEx.h"

// CProgressListDlg dialog
class CProgressListDlg : public CDialog
{
// Construction
public:
	CProgressListDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PROGRESSLIST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	//CListCtrl m_ProgressList;
	CListCtrlEx m_ProgressList;
	afx_msg void OnTimer(UINT nIDEvent);
};
